# Advanced Repository

- [Getting started](https://docs.specifyapp.com/v1/advanced-repository/getting-started.md): Here’s a 5 minute guide on how to use different features within the Advanced Repository based on the Specify Design Token Format.
- [Figma Variables & Styles](https://docs.specifyapp.com/v1/advanced-repository/figma-variables.md): In this guide, you’ll learn how to sync your Figma Variables and/or Styles to a Specify Repository and how to keep them updated.
- [Tokens Studio](https://docs.specifyapp.com/v1/advanced-repository/tokens-studio.md): In this guide you’ll learn how to sync your design tokens from Tokens Studio to your Specify repository and how to keep them updated.
- [CLI & Config](https://docs.specifyapp.com/v1/advanced-repository/cli.md): In this guide you’ll learn how to transform design data coming from Figma Variables, Figma Styles and/or Tokens Studio into CSS Custom Properties using the Specify CLI.
- [Querying a SDTF graph](https://docs.specifyapp.com/v1/advanced-repository/querying-a-sdtf-graph.md): Learn more about how to query your SDTF token graph.
- [GitHub](https://docs.specifyapp.com/v1/advanced-repository/github.md): Learn how to distribute your design tokens from Specify to your GitHub repositories via automated Pull Requests.
- [Parsers](https://docs.specifyapp.com/v1/advanced-repository/parsers.md): Parsers are functions allowing you to transform design tokens and assets coming from Specify to fit your needs and company standards.
- [to-css-custom-properties](https://docs.specifyapp.com/v1/advanced-repository/parsers/to-css-custom-properties.md): This parser helps you transform design tokens into CSS Custom Properties.
- [to-style-dictionary](https://docs.specifyapp.com/v1/advanced-repository/parsers/to-style-dictionary.md): This parser helps you generate Style Dictionary raw token files for all your design tokens coming from Specify.
- [to-tailwind](https://docs.specifyapp.com/v1/advanced-repository/parsers/to-tailwind.md): This parser helps you generate a Tailwind theme from all your design tokens coming from Specify.
- [to-sdtf](https://docs.specifyapp.com/v1/advanced-repository/parsers/to-sdtf.md): This parser helps you get your design tokens as a SDTF graph in JSON.
- [to-javascript](https://docs.specifyapp.com/v1/advanced-repository/parsers/to-javascript.md): This parser helps you pull design tokens as JavaScript objects for all token types and their respective helper functions.
- [to-react-native](https://docs.specifyapp.com/v1/advanced-repository/parsers/to-react-native.md): This parser helps you pull design tokens as a theme compatible with React Native and their respective helper functions.
- [to-json](https://docs.specifyapp.com/v1/advanced-repository/parsers/to-json.md): This parser helps you pull design tokens in JSON with token values in JSON or CSS.
- [to-typescript](https://docs.specifyapp.com/v1/advanced-repository/parsers/to-typescript.md): This parser helps you pull design tokens as TypeScript objects for all token types and their respective helper functions.
- [filter](https://docs.specifyapp.com/v1/advanced-repository/parsers/filter.md): This parser helps you filter a SDTF graph.
- [select-modes](https://docs.specifyapp.com/v1/advanced-repository/parsers/select-modes.md): This parser helps you select design tokens from specific mode(s).
- [change-case](https://docs.specifyapp.com/v1/advanced-repository/parsers/change-case.md): This parser helps you change the case of names or modes over a SDTF graph.
- [convert-color](https://docs.specifyapp.com/v1/advanced-repository/parsers/convert-color.md): This parser helps you convert color formats of color tokens.
- [convert-dimension](https://docs.specifyapp.com/v1/advanced-repository/parsers/convert-color-1.md): This parser helps you convert units of dimension tokens.
- [Templates](https://docs.specifyapp.com/v1/advanced-repository/templates.md): Automatically distribute your design tokens and assets according to your organization's standards with our ready-to-use configuration templates.
- [CSS Custom Properties](https://docs.specifyapp.com/v1/advanced-repository/templates/css-custom-properties.md): This template is dedicated for Web developers using CSS. It helps you generate all types of design tokens as CSS Custom Properties in their respective CSS file.
- [SDTF](https://docs.specifyapp.com/v1/advanced-repository/templates/sdtf.md): This template helps you pull your design tokens in the SDTF format in a JSON file.
- [Tailwind](https://docs.specifyapp.com/v1/advanced-repository/templates/tailwind.md): This template helps you generate your design tokens as a Tailwind theme.
- [REST API](https://docs.specifyapp.com/v1/advanced-repository/rest-api.md): The Specify API lets you extend Specify functionalities beyond what we provide out of the box.
- [Playground](https://docs.specifyapp.com/v1/advanced-repository/playground.md): Learn how to use the Specify Playground to iterate more easily on your configuration files


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specifyapp.com/v1/advanced-repository.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
